%% Ergodic Capacity for Media-Based constellation
% calculates ergodic capacity for Media-Based 
% constellation in Rayleigh fading channel + AWGN for a SIMO-MBM

clc
clear all
%%% Set input parameters
Nr = 2; % Number of recieve antennas
SNRdB = (0:5:30); % Signal to Noise Ratio(dB) at which the mutual information is calculated
SNR = 10 .^ (SNRdB/10); % Signal to Noise Ratio at which the mutual information is calculated
Es = 1; % Transmit power equal to unity
N0 = Es ./ SNR; % White Gaussian noise spectral density
%%Using a single transmit unit and Nr recieve antennas, mutual information
% for a constellation with L points approaches the capacity of  2Nr parallel
% SISO AWGN channels each with unit energy as L -> infinity 

C = Nr * log2(1 + SNR)

plot(SNRdB, C)